<template>
    <div class="d-flex flex-column">
        <div class="d-flex justify-content-end">
            <button @click="goToHome" type="button" class="btn btn-primary">
                <fa icon="arrow-left"/> Back
            </button>
        </div>

        <div class="d-flex flex-column  border border-light shadow-lg rounded my-5 bg-white">
            <div class="bg-light">
                <img :src="blog.image" class="w-50 rounded mx-auto d-block">
            </div>

            <div class="p-5">
                <h1 class="font-weight-bold">{{blog.title}}</h1>
                <div v-html="blog.description"></div>
            </div>

            <div class="card-footer d-flex justify-content-end">
                <small>Posted: {{ blog.posted_date }}</small>
            </div>
        </div>
    </div>

</template>

<script>
    export default {
        name: "BlogDetails",
        middleware: 'auth',
        metaInfo () {
            return { title: 'Blog Details' }
        },
        data(){
            return {
                blog:{}
            }
        },
        async beforeRouteEnter(to,from,next){
            next(vm => vm.getDetails(to.params.id))
        },
        async beforeRouteUpdate(to, from, next){
            await this.getDetails(to.params.id);
            next();
        },
        methods:{
            goToHome(){
                this.$router.push({name:'home'})
            },
            async getDetails(id){
                await axios.post('/api/blog',{id:id}).then(response =>{
                    if(response.data.success){
                        this.blog = response.data.result;
                    }else
                        this.$toast.error(response.data.message);
                }).catch(e =>{
                    this.$toast.error(e)
                })
            }
        }
    }
</script>

<style scoped>

</style>